OGRE-Next: Ogre::RenderTargetViewDef Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::RenderTargetViewDef Struct Reference
Core » Effects

`#include <OgreTextureDefinition.h>`

## Public Member Functions
| RenderTargetViewDef ()
bool | isRuntimeAnalyzed () const
void | setForTextureDefinition (const String &texName, TextureDefinitionBase::TextureDefinition *texDef)
| Convenience routine to setup an RTV that renders directly to a texture defined by the provided TextureDefinition; which is the most common case.
void | setRuntimeAnalyzed (IdString texName)
| If the texture comes from an input channel, we don't have yet enough information, as we're missing:

## Public Attributes
RenderTargetViewEntryVec | colourAttachments
RenderTargetViewEntry | depthAttachment
PixelFormatGpu | depthBufferFormat
uint16 | depthBufferId
| Depth Buffer's pool ID.
bool | depthReadOnly
bool | preferDepthTexture
| Whether this RTV should be attached to a depth texture (i.e.
RenderTargetViewEntry | stencilAttachment
bool | stencilReadOnly

## Constructor & Destructor Documentation

## ◆ RenderTargetViewDef()

Ogre::RenderTargetViewDef::RenderTargetViewDef | ( |  | ) |
| inline

References depthBufferFormat, depthBufferId, depthReadOnly, Ogre::PFG_UNKNOWN, preferDepthTexture, and stencilReadOnly.

## Member Function Documentation

## ◆ isRuntimeAnalyzed()

bool Ogre::RenderTargetViewDef::isRuntimeAnalyzed | ( |  | ) | const
| inline

## ◆ setForTextureDefinition()

void Ogre::RenderTargetViewDef::setForTextureDefinition | ( | const String & | texName,
|  | TextureDefinitionBase::TextureDefinition * | texDef )

Convenience routine to setup an RTV that renders directly to a texture defined by the provided TextureDefinition; which is the most common case.

Parameters

  texName |
  texDef |

## ◆ setRuntimeAnalyzed()

void Ogre::RenderTargetViewDef::setRuntimeAnalyzed | ( | IdString | texName | ) |

If the texture comes from an input channel, we don't have yet enough information, as we're missing:

- Whether the texture is colour or depth
- The default depth settings (prefersDepthTexture, depth format, etc)

Use this function to force the given texture to be analyzed at runtime when creating the pass.

Remarks
  Cannot be used for MRT.

Parameters

  texName |

## Member Data Documentation

## ◆ colourAttachments

RenderTargetViewEntryVec Ogre::RenderTargetViewDef::colourAttachments

## ◆ depthAttachment

RenderTargetViewEntry Ogre::RenderTargetViewDef::depthAttachment

## ◆ depthBufferFormat

PixelFormatGpu Ogre::RenderTargetViewDef::depthBufferFormat

Referenced by RenderTargetViewDef().

## ◆ depthBufferId

uint16 Ogre::RenderTargetViewDef::depthBufferId

Depth Buffer's pool ID.

Ignored if depthAttachment.textureName or stencilAttachment.textureName are explicitly set.

Referenced by RenderTargetViewDef().

## ◆ depthReadOnly

bool Ogre::RenderTargetViewDef::depthReadOnly

Referenced by RenderTargetViewDef().

## ◆ preferDepthTexture

bool Ogre::RenderTargetViewDef::preferDepthTexture

Whether this RTV should be attached to a depth texture (i.e.

TextureGpu::isTexture == true) or a regular depth buffer. True to use depth textures. False otherwise (default).

Remarks
  On older GPUs, preferring depth textures may result in certain depth precisions to not be available (or use integer precision instead of floating point, etc).

  Ignored if depthAttachment.texture or stencilAttachment.texture are explicitly set.

Referenced by RenderTargetViewDef().

## ◆ stencilAttachment

RenderTargetViewEntry Ogre::RenderTargetViewDef::stencilAttachment

## ◆ stencilReadOnly

bool Ogre::RenderTargetViewDef::stencilReadOnly

Referenced by RenderTargetViewDef().

The documentation for this struct was generated from the following file:

- OgreTextureDefinition.h